MsWksDBParserInternal::FormType Class Reference documentation

MsWksDBParserInternal::FormType Class Reference

a class used to store a form More...

## Public Member Functions
| FormType ()
| the constructor

## Public Attributes
int | m_fieldId
| the associated field
FormVisibility | m_visible
| the form visibility
MWAWFont | m_font
| the font
int | m_backColor
| the backgroun color
MWAWBox2f | m_bdbox [2]
| two bdbox one for content and field name
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, FormType const &form)
| operator<<

## Detailed Description

a class used to store a form

## Constructor & Destructor Documentation

## ◆ FormType()

MsWksDBParserInternal::FormType::FormType | ( |  | ) |
| inline

the constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | FormType const & | form )
| friend

operator<<

## Member Data Documentation

## ◆ m_backColor

int MsWksDBParserInternal::FormType::m_backColor

the backgroun color

Referenced by FormType(), and MsWksDBParser::readFormTypes().

## ◆ m_bdbox

MWAWBox2f MsWksDBParserInternal::FormType::m_bdbox[2]

two bdbox one for content and field name

Referenced by operator<<, MsWksDBParser::readFormTypes(), and MsWksDBParser::readFormV2().

## ◆ m_extra

std::string MsWksDBParserInternal::FormType::m_extra

extra data

Referenced by FormType(), operator<<, and MsWksDBParser::readFormV2().

## ◆ m_fieldId

int MsWksDBParserInternal::FormType::m_fieldId

the associated field

Referenced by FormType(), operator<<, MsWksDBParser::readFormTypes(), and MsWksDBParser::readFormV2().

## ◆ m_font

MWAWFont MsWksDBParserInternal::FormType::m_font

the font

Referenced by FormType(), and MsWksDBParser::readFormTypes().

## ◆ m_visible

FormVisibility MsWksDBParserInternal::FormType::m_visible

the form visibility

Referenced by FormType(), operator<<, MsWksDBParser::readFormTypes(), and MsWksDBParser::readFormV2().

The documentation for this class was generated from the following file:

- MsWksDBParser.cxx